package com.mx.dla.dda.admin.presupuestos.dtos;

import java.util.Date;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class PresupuestoDTO extends BaseDTO{

	private static final long serialVersionUID = 2460505102687610585L;
	
	private String  type;
	private Long    id;
	private Integer anio;
	private Double  montoAsignado;
	private Double  montoAmortizable;
	private Double  montoComprometido;
	private List<PresupuestoApartadoDTO> apartados;
	private Date  fechaSAP;
			
	public PresupuestoDTO(){}

	public PresupuestoDTO(String type, Integer anio, Double montoAsignado,
			Double montoComprometido, List<PresupuestoApartadoDTO> apartados) {
		super();
		this.type = type;
		this.anio = anio;
		this.montoAsignado = montoAsignado;
		this.montoComprometido = montoComprometido;
		this.apartados = apartados;
	}
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Integer getAnio() {
		return anio;
	}
	public void setAnio(Integer anio) {
		this.anio = anio;
	}
	public Double getMontoAsignado() {
		return montoAsignado;
	}
	public void setMontoAsignado(Double montoAsignado) {
		this.montoAsignado = montoAsignado;
	}
	public Double getMontoAmortizable() {
		return montoAmortizable;
	}
	public void setMontoAmortizable(Double montoAmortizable) {
		this.montoAmortizable = montoAmortizable;
	}
	public Double getMontoComprometido() {
		return montoComprometido;
	}
	public void setMontoComprometido(Double montoComprometido) {
		this.montoComprometido = montoComprometido;
	}
	public List<PresupuestoApartadoDTO> getApartados() {
		return apartados;
	}
	public void setApartados(List<PresupuestoApartadoDTO> apartados) {
		this.apartados = apartados;
	}
	public Date getFechaSAP() {
		return fechaSAP;
	}
	public void setFechaSAP(Date fechaSAP) {
		this.fechaSAP = fechaSAP;
	}			
}
